# DataExchange
TKIGES
IGESGeom

# IGESGeom_SpecificModule Class Reference

Defines Services attached to IGES Entities :
Dump & OwnCorrect, for IGESGeom
.

`#include <IGESGeom_SpecificModule.hxx>`

Inheritance diagram for IGESGeom_SpecificModule:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGeom_SpecificModule ()
| Creates a SpecificModule from IGESGeom & puts it into SpecificLib .
Standard_EXPORT void | OwnDump (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent, const IGESData_IGESDumper &dumper, const Handle(Message_Messenger)&S, const Standard_Integer own) const
| Specific Dump (own parameters) for IGESGeom .
virtual Standard_EXPORT Standard_Boolean | OwnCorrect (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent) const
| Performs non-ambiguous Correction on Entities which support them (Boundary,ConicArc,Flash,OffsetCurve,TransformationMatrix) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_SpecificModule::IGESGeom_SpecificModule | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESGeom_SpecificModule::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_SpecificModule.

virtual Standard_EXPORT Standard_Boolean IGESGeom_SpecificModule::OwnCorrect | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent
| ) | const`[virtual]`

| Reimplemented from IGESData_SpecificModule.

Standard_EXPORT void IGESGeom_SpecificModule::OwnDump | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent,
|  | const IGESData_IGESDumper & | dumper,
|  | const Handle(Message_Messenger)& | S,
|  | const Standard_Integer | own
| ) | const`[virtual]`

| Implements IGESData_SpecificModule.

The documentation for this class was generated from the following file:

- IGESGeom_SpecificModule.hxx